Bug 1000375 - VF with different vlan tag failed to dhcp an IP in guest
VF with different vlan tag failed to dhcp an IP in guest
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Vlad Yasevich
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2013-08-23 06:23 EDT by Chao Yang
Modified: 2014-04-23 13:53 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-04-23 13:53:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 4 Vlad Yasevich 2014-04-03 16:38:28 EDT
Wrongly marked as post.
Comment 5 Vlad Yasevich 2014-04-14 15:51:19 EDT
Attempt to reproduce with the most recent rhel6.6 based kernel failed.

05:08.0 Ethernet controller: Emulex Corporation OneConnect NIC (Skyhawk) (rev 10)
05:08.1 Ethernet controller: Emulex Corporation OneConnect NIC (Skyhawk) (rev 10)
05:08.2 Ethernet controller: Emulex Corporation OneConnect NIC (Skyhawk) (rev 10)
05:08.3 Ethernet controller: Emulex Corporation OneConnect NIC (Skyhawk) (rev 10)

12: eth3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 00:90:fa:30:9d:ce brd ff:ff:ff:ff:ff:ff
    vf 0 MAC 00:90:fa:23:cb:28, vlan 5, tx rate 10000 (Mbps)
    vf 1 MAC 00:90:fa:23:cb:29, vlan 5, tx rate 10000 (Mbps)
    vf 2 MAC 00:90:fa:23:cb:2a, tx rate 10000 (Mbps)
    vf 3 MAC 00:90:fa:23:cb:2b, tx rate 10000 (Mbps)

17: eth10: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:90:fa:23:cb:28 brd ff:ff:ff:ff:ff:ff
18: eth11: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:90:fa:23:cb:29 brd ff:ff:ff:ff:ff:ff
19: eth12: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:90:fa:23:cb:2a brd ff:ff:ff:ff:ff:ff

qemu      4732     1  5 21:37 ?        00:00:20 /usr/libexec/qemu-kvm -name rhel6 -S -M rhel6.5.0 -cpu SandyBridge -enable-kvm -m 2048 -realtime mlock=off -smp 2,sockets=2,cores=1,threads=1 -uuid ef0a83c6-9f5a-424f-b43e-efaba441faf3 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/rhel6.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -no-kvm-pit-reinjection -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -drive file=/home/rh6-1.qcow,if=none,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=20,id=hostnet0,vhost=on,vhostfd=21 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:2a:5f:7c,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -device usb-tablet,id=input0 -vnc -vga cirrus -device pci-assign,host=05:08.0,id=hostdev0,configfd=24,bus=pci.0,addr=0x6 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5

Note:  Above pci-assign,host=05:08.0 is for eth10.  Two other similar qemu instances are running:
    host=05:08.1  <--- eth11
    host=05:08.2  <--- eth12

VLAN 5 has its own DHCP server running.  VF 1 and 2 were placed into VLAN 5.
VF 3 was left untagged.

All 3 VMs successfully obtained IP address.

Please re-retest with the more recent kernel.  Also, please make sure that
you have the latest firmware for the card.

Comment 6 Chao Yang 2014-04-16 03:37:21 EDT
Can you please share me which version of firmware you used to test. Thanks.
Comment 7 Vlad Yasevich 2014-04-17 13:42:00 EDT
I don't have access to the machine at the moment, so can't tell you for sure right now.  I'll try to get access to the system again and find out the information for you.

Comment 8 Chao Yang 2014-04-18 03:30:20 EDT
Cannot reproduce any more with host kernel 2.6.32-458.el6.x86_64.

# modinfo be2net
filename:       /lib/modules/2.6.32-458.el6.x86_64/kernel/drivers/net/benet/be2net.ko
license:        GPL
author:         Emulex Corporation
description:    Emulex OneConnect 10Gbps NIC Driver
srcversion:     069BDEA616EA80525ABD8CE
alias:          pci:v000010DFd00000728sv*sd*bc*sc*i*
alias:          pci:v000010DFd00000720sv*sd*bc*sc*i*
alias:          pci:v000010DFd0000E228sv*sd*bc*sc*i*
alias:          pci:v000010DFd0000E220sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000710sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000700sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000221sv*sd*bc*sc*i*
alias:          pci:v000019A2d00000211sv*sd*bc*sc*i*
vermagic:       2.6.32-458.el6.x86_64 SMP mod_unload modversions 
parm:           num_vfs:Number of PCI VFs to initialize (uint)
parm:           multi_rxq:Obsolete and used only for compatibility (bool)
parm:           rx_frag_size:Size of a fragment that holds rcvd data. (ushort)

09:00.0 Ethernet controller: Emulex Corporation OneConnect 10Gb NIC (be3) (rev 01)

# ethtool -i p3p1
driver: be2net
firmware-version: 4.1.417.0
bus-info: 0000:09:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no
Comment 9 Vlad Yasevich 2014-04-23 13:53:23 EDT
Development and QC can't reproduce any more.

Note You need to log in before you can comment on or make changes to this bug.